select
concat(ctitle.titlename,person.fname,' ',person.lname,' ','(',convert(person.pid using utf8),')')as 'ชื่อ - สกุล',
person.idcard as pidcard,
person.hnomoi as 'บ้านเลขที่',
person.mumoi as 'หมู่',
person.typelive as 'สถานะการอยู่อาศัย',
case when person.dischargetype = '1' then 'ตาย' when person.dischargetype = '2'then 'ย้ายออกนอกเขต' when person.dischargetype = '3'then 'สุญหาย'
when person.dischargetype = '9'then 'ยังไม่จำหน่าย'else null end AS 'สาเหตุจำหน่าย',
persondeath.deaddate as 'วันที่ตาย',
personchronic.chroniccode as 'รหัสเรื้อรัง',
personchronic.typedischart as 'สาเหตุจำหน่ายเรื้อรัง'
from
person inner join ctitle on person.prename = ctitle.titlecode
inner join personchronic on person.pcucodeperson = personchronic.pcucodeperson
and person.pid = personchronic.pid
inner join persondeath on person.pcucodeperson = persondeath.pcucodeperson
and person.pid = persondeath.pid
where personchronic.typedischart != '02';